Subject: bug#7949: 24.0.50; GNU Emacs with Xaw3d does not launch as X client

From: Jan Djärv <[email-masked]>
Date: Mon, 31 Jan 2011 23:07:19 +0100

Can you put a breakpoint in the X error handler and see what the error is 
about?  You must run in synchronous mode for the stack backtrace to be useful:

% emacs -xrm '*synchronous: true'

Does commenting out the XSync in the error handler fix things?

	Jan D.

Peter Dyballa skrev 2011-01-31 17.59:
> Hello!
>
> After installing a series of updates to the X.Org server on my Mac I cannot
> launch (any) GNU Emacs version that used Xaw3d as X client. It works to launch
> it without windows, or as the NS variant – or with GTK-2! I reported this to
> Jeremy Huddleston, an employee of Apple, presumingly, who develops X11 for Mac
> OS X. He found some details and started a thread in the xorg-devel list in
> which he speculates that something in the GNU Emacs code might be faulty ("2)
> emacs' error handler seems bugged. Is it legal to call XSync() within the
> error handler? It certainly seems like it shouldn't. Did we used to actually
> support this with the xtrans version of libX11?")
> – http://lists.x.org/archives/xorg-devel/2011-January/018750.html.
>
> Interestingly gv, which uses Xaw3d as well, can easily launch...
>
>
> (Before the updates I could launch all GNU Emacs versions with Xaw3d toolkit.)
>
> --
> Greetings
>
> Pete (:
> _ / __ - -
> _/ \__/_/ - -
> (´`) (´`) - -
> `´ `´
>
>
>